For the complete documentation index, see llms.txt. This page is also available as Markdown.

Routing Journal (doms)

Endpoints to read the journal entries recorded for a routing process.

List routing journal entries by processRef

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Returns a paginated list of routing journal entries filtered by processRef.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
processRefstringOptional
orderRefstringOptional
sizenumber · min: 1 · max: 100OptionalDefault: 25Example: 25
startAfterIdstringOptional
Responses
200

Successfully retrieved the routing journal entries.

application/json

RoutingJournals

totalnumberRequired

Total number of found entities for this query

Example: 42
get/api/routing/journals
GET /api/routing/journals HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "routingJournals": [
    {
      "blacklistedFacilityData": [
        {
          "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "changeType": "INITIAL",
      "created": "2026-01-01T00:00:00.000Z",
      "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "rerouteDescriptionRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "routingPlanRefs": [
        "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
      ],
      "runId": "text",
      "sourcingOptionRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
    }
  ],
  "total": 42
}

Get a routingJournal by its ID

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Retrieves a single routingJournal using its unique identifier.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

Successfully retrieved the routingJournal.

application/json

RoutingJournal

changeTypestring · enumRequired

Type of change recorded in this routing journal entry

Possible values:
createdstring · date-timeRequired

Creation date of this routing journal entry

idstringRequired

Unique identifier of this routing journal entry

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
orderRefstringRequired

Reference to the associated order

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
processRefstringRequired

Reference to the associated process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
rerouteDescriptionRefobject · nullableRequired

Reference to the reroute description associated with this routing journal entry

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
routingPlanRefsstring[]Required

References to the routing plans associated with this journal entry

Example: ["0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f","0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"]
runIdstringRequired

The technical id for a sourcing option evaluation

sourcingOptionRefobject · nullableRequired

Reference to the sourcing option used for routing

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
get/api/routing/journals/{id}
GET /api/routing/journals/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "blacklistedFacilityData": [
    {
      "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
    }
  ],
  "changeType": "INITIAL",
  "created": "2026-01-01T00:00:00.000Z",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "rerouteDescriptionRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "routingPlanRefs": [
    "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
  ],
  "runId": "text",
  "sourcingOptionRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
}

Last updated

Was this helpful?